Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
init.c File Reference
`#include "ruby.h"`
`#include "sdbm.h"`
`#include <fcntl.h>`
`#include <errno.h>`

Go to the source code of this file.

## Data Structures
struct | dbmdata

## Macros
#define | GetDBM(obj, dbmp)
#define | GetDBM2(obj, dbmp, dbm)

## Functions
| NORETURN (static void closed_sdbm(void))
void | Init_sdbm (void)

## Macro Definition Documentation

## ◆ GetDBM

#define GetDBM | ( |  | obj,
|  |  | dbmp
| ) |  |

Value:
do {\
TypedData_Get_Struct((obj), struct dbmdata, &sdbm_type, (dbmp));\
if ((dbmp)->di_dbm == 0) closed_sdbm();\
} while (0)

Definition at line 82 of file init.c.

## ◆ GetDBM2

#define GetDBM2 | ( |  | obj,
|  |  | dbmp,
|  |  | dbm
| ) |  |

Value:
do {\
GetDBM((obj), (dbmp));\
(dbm) = (dbmp)->di_dbm;\
} while (0)

Definition at line 87 of file init.c.

## Function Documentation

## ◆ Init_sdbm()

void Init_sdbm | ( | void |  | ) |

Definition at line 1016 of file init.c.

## ◆ NORETURN()

NORETURN | ( | static void | closed_sdbmvoid | ) |

obj
const VALUE VALUE obj
Definition: rb_mjit_min_header-2.7.0.h:5742
dbmdata
Definition: dbm.c:37